Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# TAO_Connector Class Reference

Generic Connector interface definitions. More...

`#include <Pluggable.h>`

Inheritance diagram for TAO_Connector

[legend]
Collaboration diagram for TAO_Connector:

[legend]
List of all members.

## Public Methods
| TAO_Connector (CORBA::ULong tag)
| default constructor.
virtual | ~TAO_Connector (void)
| the destructor.
CORBA::ULong | tag (void) const
int | make_mprofile (const char *ior, TAO_MProfile &mprofile, CORBA::Environment &ACE_TRY_ENV)
| Parse a string containing a URL style IOR and return an MProfile.
virtual int | open (TAO_ORB_Core *orb_core) = 0
| Initialize object and register with reactor.
virtual int | close (void) = 0
| Shutdown Connector bridge and concrete Connector.
virtual int | connect (TAO_GIOP_Invocation *invocation, TAO_Transport_Descriptor_Interface *desc, CORBA::Environment &ACE_TRY_ENV) = 0
virtual int | preconnect (const char *preconnections) = 0
| Initial set of connections to be established.
virtual TAO_Profile* | create_profile (TAO_InputCDR& cdr) = 0
| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>.
virtual int | check_prefix (const char *endpoint) = 0
| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol.
virtual char | object_key_delimiter (void) const = 0
| Return the object key delimiter to use or expect.
## Protected Methods
virtual TAO_Profile* | make_profile (CORBA::Environment &ACE_TRY_ENV) = 0
| Create a profile with a given endpoint.
void | orb_core (TAO_ORB_Core *orb_core)
| Set the ORB Core pointer.
TAO_ORB_Core* | orb_core (void)
| Return the TAO_ORB_Core pointer.
## Private Attributes
CORBA::ULong | tag_
| IOP protocol tag.
TAO_ORB_Core* | orb_core_
| Pointer to our ORB core.

## Detailed Description

Generic Connector interface definitions.

Base class for connector bridge object.

## Constructor & Destructor Documentation

TAO_Connector::TAO_Connector ( | CORBA::ULong tag )`[inline]`

| default constructor.

TAO_Connector::~TAO_Connector ( | void )`[virtual]`

| the destructor.

## Member Function Documentation

int TAO_Connector::check_prefix ( | const char * endpoint )`[pure virtual]`

| Check that the prefix of the provided endpoint is valid for use with a given pluggable protocol. Reimplemented in TAO_IIOP_Connector.

int TAO_Connector::close ( | void )`[pure virtual]`

| Shutdown Connector bridge and concrete Connector. Reimplemented in TAO_IIOP_Connector.

int TAO_Connector::connect ( | TAO_GIOP_Invocation * invocation,
| TAO_Transport_Descriptor_Interface * desc,
| CORBA::Environment & ACE_TRY_ENV )`[pure virtual]`

| To support pluggable we need to abstract away the connect() method so it can be called from the GIOP code independant of the actual transport protocol in use. Reimplemented in TAO_IIOP_Connector.

TAO_Profile * TAO_Connector::create_profile ( | TAO_InputCDR & cdr )`[pure virtual]`

| Create a profile for this protocol and initialize it based on the encapsulation in <cdr>. Reimplemented in TAO_IIOP_Connector.

int TAO_Connector::make_mprofile ( | const char * ior,
| TAO_MProfile & mprofile,
| CORBA::Environment & ACE_TRY_ENV )

| Parse a string containing a URL style IOR and return an MProfile.

TAO_Profile * TAO_Connector::make_profile ( | CORBA::Environment & ACE_TRY_ENV )`[protected, pure virtual]`

| Create a profile with a given endpoint. Reimplemented in TAO_IIOP_Connector.

char TAO_Connector::object_key_delimiter ( | void ) const`[pure virtual]`

| Return the object key delimiter to use or expect. Reimplemented in TAO_IIOP_Connector.

int TAO_Connector::open ( | TAO_ORB_Core * orb_core )`[pure virtual]`

| Initialize object and register with reactor. Reimplemented in TAO_IIOP_Connector.

ACE_INLINE TAO_ORB_Core * TAO_Connector::orb_core ( | void )`[protected]`

| Return the TAO_ORB_Core pointer.

ACE_INLINE void TAO_Connector::orb_core ( | TAO_ORB_Core * orb_core )`[protected]`

| Set the ORB Core pointer.

int TAO_Connector::preconnect ( | const char * preconnects )`[pure virtual]`

| Initial set of connections to be established. Reimplemented in TAO_IIOP_Connector.

ACE_INLINE CORBA::ULong TAO_Connector::tag ( | void ) const

| The tag identifying the specific ORB transport layer protocol. For example TAO_TAG_IIOP_PROFILE = 0. The tag is used in the IOR to identify the type of profile included. IOR -> {{tag0, profile0} {tag1, profole1} ...} GIOP.h defines typedef CORBA::ULong TAO_IOP_Profile_ID;

## Member Data Documentation

TAO_ORB_Core * TAO_Connector::orb_core_`[private]`

| Pointer to our ORB core.

CORBA::ULong TAO_Connector::tag_`[private]`

| IOP protocol tag.

The documentation for this class was generated from the following files:

- Pluggable.h
- Pluggable.cpp
- Pluggable.i